Subject: Re: Documentation:Update the INDEX of the documents

From: Yang Hongyang <[email-masked]>
Date: Thu, 26 Feb 2009 08:49:48 +0800

Theodore Tso wrote:
> On Wed, Feb 25, 2009 at 11:25:08PM +0800, Yang Hongyang wrote:
>>> If folks do find the 00-INDEX files useful, my suggestion would be to
>>> make a way of automatically extracting them from the individual files
>>> and/or directories, and then making the 00-INDEX files to be
>>> automatically generated.
>> Sounds like a good idea but How to automatically generate
>>  the summaries then?
> 
> Well, for text files (including subdirectory's 00-INDEX files) we
> could have a convention which is the first line of the file should be
> a (max 60 characters) one-line summary of the file.
> 
> We would probably have to do something special with non-free-form-text
> files, including structured text files like Docbook files.  So it's
> not quite so straightforward, but it should be doable.

Yeah,if we do this one-line summary thing,we still have to go through
all these documents.So why not just update the 00-INDEX and then tell
the authors that will add docs to the kernel do the "00-INDEX work"
 themselves?

>     	     		      	     	       - Ted

-- 
Regards
Yang Hongyang